[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[ANN] SVNKit 1.3.0 (GA) is available.

From: Alexander Sinyushkin <Alexander.Sinyushkin_at_svnkit.com>
Date: Thu, 14 May 2009 12:07:22 +0200

Hello All,

We are glad to announce that SVNKit 1.3.0 has been published and
available for download at http://svnkit.com/ web site.

SVNKit is a pure Java Subversion library. SVNKit provides Java APIs to
access and manipulate Subversion working copies and Subversion
repositories. You may find more information, documentation and source
code examples at http://svnkit.com/

SVNKit 1.3.0 supports virtually all Subversion 1.6.2 features. Also,
we make sure that all native Subversion tests pass when ran against
SVNKit and that is more than 2000 tests in total.

New in version 1.3.0 (since version 1.2.3):

+ Changes made in Subversion since version 1.5.6 implemented,
   all Subversion 1.6.2 features are supported:
    * Tree conflicts handled more gracefully
    * File-externals support for intra-repository files
    * File protocol: 1.6.2 Subversion repositories format supported
    * Administrative tools: support for packing repository shards
    * Command line client: repository root relative URL support on
      most commands
    * Performance improvements on huge files during update\commits

+ Other bugfixes and performance improvements.

* SVNKit 1.3 API is not binary compatible with SVNKit 1.1.8

You're welcome to download and use SVNKit 1.3.0. We'll be glad to
provide help and support for the new version in our mailing list or by
email (support_at_svnkit.com).

Useful links (more at http://svnkit.com/):

* SVNKit Continuous Integration Server: https://teamcity.svnkit.com/
* SVNKit Source Code Repository: http://svn.svnkit.com/repos/svnkit/
* SVNKit Update Site (for Eclipse): http://eclipse.svnkit.com/1.3.x/
* SVNKit Mailing List: http://www.nabble.com/SVNKit---Users-f18684.html

Note for Eclipse (Subclipse) users:

Those of you who use older SVNKit versions (1.2.3 - 1.3.0-beta3) as an
Eclipse plug-in (e.g. Subclipse
1.4.x users) are strongly advised to update SVNKit with the help of
SVNKit update site: http://eclipse.svnkit.com/1.3.x/

SVNKit consists of two plug-ins - Core SVNKit and JNA Library, we
recommend to install both plug-ins. SVNKit plug-ins are OSGI-compatible.

The best available version of SVNKit is 1.3.0.5847 (that is 1.3.0 GA).

In case you experience problems with updating existing SVNKit version
from within Eclipse, then deleting and creating update site again may
help to resolve that problem (see Help | Software Updates | Available
Updates | Manage Sites).

With best regards,
SVNKit Development Team.

----
Alexander Sinyushkin,
TMate Software,
http://svnkit.com/ - Java [Sub]Versioning Library!
------------------------------------------------------
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=2254233
Received on 2009-05-14 12:07:11 CEST

This is an archived mail posted to the Subversion Dev mailing list.